アップグレードFAQ

提供: MoodleDocs
移動先:案内検索


1.9.xから3.5にアップグレードするには?

1.x -> 1.9.19+ -> 2.2.11 -> 2.7.20 -> 3.2.9 on PHP7.1 -> 3.5 on PHP7.1/7.2 -> 3.5

(次のブランチに行く前に、最新の安定版にアップグレードした方が良いでしょう。プラグインも同様です。初期の安定版ブランチからのアップグレードは通常動作しますが、保証はありません。)

Moodle 2.2.11は、https://download.moodle.org/stable22/ からダウンロードできます。

どのようにしてMoodleをアップグレードしますか?ファイルを上書きするだけですか?

おかしなエラーが発生する可能性がありますので、ファイルを上書きしないでください。作業を進める前に、アップグレードのドキュメントを読んでください。

"Upgrade already running in this session, please wait!"というメッセージが表示されます。

完了メッセージが表示される前にページを更新した可能性が高いです。アップグレードプロセス(phpやmysql)が動作していないことを確認したら、"!!!" をクリックしてアップグレードを再開してください。

: !!! をクリックしたり、他のブラウザからアップグレードを再開しようとすると、データベースのデータが破損する可能性があります。この場合、SQLダンプからデータベースを復元し、アップグレードを再起動して待つ必要があります。このプロセスは、大規模なサイトでは数時間かかることがあります。

一度に複数のバージョンをアップグレードできますか?

あなたは、Moodle 3.2以降からMoodle 3.5にのみアップグレードすることができます。

あなたは、Moodle 2.2以降からMoodle 2.7にのみアップグレードすることができます。

あなたは、Moodle 1.9以降からMoodle 2.2にのみアップグレードすることができます。

私のサイトにはカスタムコードがあります。アップグレードするにはどうすればいいですか?

カスタムコードによるアップグレードに関するこのフォーラムの投稿にいくつかの提案がありますのでご覧ください。

他に質問はありますか?

moodle.orgのインストールとアップグレードのヘルプフォーラムに投稿してください。

関連項目